@mixin app-tad-hp-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  app-tad-hp {
    width: 100% !important;
    padding: 5px;
    overflow-x: hidden;
  }
  .tad-hp {
    margin-top: 25px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .tad-hp-main-card {
      display: flex;
      flex-direction: column;
      padding: 0px;
      background-color: mat-color($primary, 50);

      .mat-card-header {
        width: 100%;

        .top-header-filter {
          display: flex;
          padding: 0px 5px;
          margin: 0px 5px;
          font-size: 0.9em;
          line-height: 40px;

          .hp-left-text {
            display: flex;
            height: 50px;
            margin-right: 10px !important;
          }

          .right-text {
            display: flex;
            flex: auto;
            margin-right: 15px;
          }
        }

        .header-grid {
          width: 94%;
          margin: 0 auto;
          margin-bottom: 20px;
        }
      }

      .mat-card-content {
        .example-small-box {
          display: flex;
          align-items: center;
          justify-content: center;
          background: white;

          .example-container {
            width: 99%;
            border: 2px solid #c5cae9;
            border-radius: 5px;
            padding: 0px 5px;
            margin: 0px 5px;
            .ag-header-cell-text {
              overflow: visible;
              text-overflow: unset;
              white-space: pre-wrap;
            }
            .table-filters-header {
              width: 100%;
              background-color: white;
              border: 1px solid #eaf0fb;

              .table-top-icons {
                mat-icon {
                  padding: 5px;
                }

                mat-icon:hover {
                  cursor: pointer;
                  color: mat-color($warn);
                }
                .video-tutorial {
                  .videoIcon{
                    font-size: 2em;
                    margin-top: -5px;
                    margin-right: 5px;
                    // line-height: 35px;
                    // cursor: pointer;
                  }
                }
              }
            }
            .foot-notes {
              color: mat-color($primary);
              b {
                font-size: 1em;
                font-weight: bold;
              }
              p{
                font-size: 0.9em;
              }
            }
            /* tad-discrepancy-icon is the cell renderer(component) created to adjust discrepancy icon inside ag grid cell
              below is the style to fix the icon in place */
            .tad-discrepancy-icon {
              .mat-badge-medium.mat-badge-after .mat-badge-content {
                right: -22px;
              }

              .mat-badge-medium.mat-badge-above .mat-badge-content {
                top: -10px;
              }

              .mat-badge-medium .mat-badge-content {
                width: 16px;
                height: 16px;
                line-height: 16px;
                background-color: mat-color($primary);
                font-size: 1em;
                font-weight: bold;
                border-radius: 10px;
                color: white;
              }
            }
          }
          .tad-consent {
            padding: 10px;
            margin: 10px;
            .consent-text {
              margin-left: 5px;
              font-size: 1.1em;
            }
            .verifier {
              padding: 10px;
              margin: 10px;
              margin-bottom: 0px;
              mat-label {
                color: mat-color($primary);
                font-weight: 600;
              }
            }
          }
        }
      }
    }
  }
}
